using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface IHostWordsReportRepository : IRepository<HostWordsReport>
	{
        IQueryable<HostWordsReport> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        HostWordsReport Get(int hostID, string modalAddress);

        void DeteleByHostID(int hostID);
	}
}
